Skip to main content
GET
https://your-rootprint-host
/
api
/
shares
/
{code}
Resolve a log share
curl --request GET \
  --url https://your-rootprint-host/api/shares/{code} \
  --cookie better-auth.session_token=
{
  "indexId": "<string>",
  "query": "<string>",
  "startTime": 123,
  "endTime": 123,
  "hit": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Better Auth session cookie used by the Rootprint web UI.

Path Parameters

code
string
required

Ten character share code.

Required string length: 10

Response

Share contents.

indexId
string
required
query
string
required
startTime
integer
required
endTime
integer
required
hit
object
required